Skip to content
Seal
Esc
↑↓navigate↵open⌘Jpreview

List supported webhook event types

GET/webhooks/event-types
Authorization
AuthorizationBearer token · headerrequired

Pass your API key as a Bearer token. API keys are scoped to specific operations — configure scopes in your organization's Settings → Developer → API Keys.

Responses
200

Event types

Array of WebhookEventType
typestringrequired
categorystringrequired
descriptionstringrequired
401

Missing or invalid API key

typestringrequired

Machine-readable error code

statusintegerrequired

HTTP status code

titlestringrequired

Human-readable error message

detailsobject

Field-level validation errors

Try it
Server
Authorization
Request
curl -X GET "https://api.seal.nyc/api/v1/webhooks/event-types" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
[
  {
    "type": "string",
    "category": "string",
    "description": "string"
  }
]